Skip to main content

List timesheet whitelists

GET 

/api/timesheet-whitelists

warning

Having people in the project whitelist takes effect only if the whitelist is enabled for the project. Check here whether the whitelist is enabled for your project.

Required permissions:

  • pipeline.view: allows view resources of projects where the user is the PM or the Account.
  • pipeline.view_other: allows view resources of projects where the user is not the PM nor the Account.

Request

Query Parameters

    project_id integer

    Filter items by the project_id field.

    person_id integer

    Filter items by the person_id field.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of timesheet whitelists.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    project_id integerrequired

    Possible values: >= 1

    ID of the project to which the timesheet whitelist belongs

    person_id integerrequired

    Possible values: >= 1

    ID of the whitelisted person

  • ]

Loading...